package de.subway_surfers.vpr_app;

import javafx.collections.ListChangeListener;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.*;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;

public class AccounterstellungMitarbeiter {

	private @FXML HBox kindanzeige;
	private @FXML GridPane kindDaten;
	private @FXML RadioButton typMitarbeiter;
	private @FXML RadioButton typEltern;
	private       ToggleGroup accountTyp;

	public void initialize() {
		accountTyp = new ToggleGroup();
		accountTyp.getToggles().add(typEltern);
		accountTyp.getToggles().add(typMitarbeiter);
	}

	public void onZurueck(ActionEvent actionEvent) {
		VerwaltungApplication.sceneWechseln("hauptmenue_mitarbeiter-view.fxml");
	}

	public void onAbmelden(ActionEvent actionEvent) {
		VerwaltungApplication.abmelden();
	}

	public void onTypMitarbeiter(ActionEvent actionEvent) {
		kindDaten.getChildren().clear();
	}

	public void onTypEltern(ActionEvent actionEvent) {
		Label ueberschrift = new Label();
		ueberschrift.setText("Daten des Kindes:");
		kindDaten.addRow(0);
		kindDaten.addColumn(0);
		kindDaten.addRow(1);
		kindDaten.add(ueberschrift,0,0);

		kindDaten.addRow(1);
		Label name = new Label("Name:");
		kindDaten.add(name, 0, 1);
		TextField nameEingabe = new TextField();
		kindDaten.add(nameEingabe, 1, 1);

		kindDaten.addRow(2);
		Label geburtstag = new Label("Geburtstag: ");
		kindDaten.add(geburtstag, 0, 2);
		DatePicker geburtstagEingabe = new DatePicker();
		kindDaten.add(geburtstagEingabe, 1, 2);

		kindDaten.addRow(3);
		Button hinzufuegen = new Button("hinzufügen");
		kindDaten.add(hinzufuegen, 1, 3);

		kindDaten.addRow(4);
		hinzufuegen.setOnAction(e -> {
			if (!nameEingabe.getText().equals("")) {
				Button neues = new Button(nameEingabe.getText());
				kindanzeige.getChildren().add(neues);
				neues.setOnAction(a -> {
					((HBox) neues.getParent()).getChildren().remove(neues);
				});
			}
		});
	}

}
